package com.leromro.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.MainOrders;
import com.leromro.core.domain.vo.MainOrdersVO;
import com.leromro.core.domain.vo.WebMainOrdersInfoVO;
import com.leromro.core.domain.vo.webMainOrderListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MainOrdersMapper extends BaseMapper<MainOrders> {
     // int insertMainOrders(MainOrders mainOrders);

     List<MainOrdersVO> selectByUserId(@Param("orderStatus") String orderStatus, @Param("userId") Long userId);

    List<webMainOrderListVO> webMainOrderList(MainOrdersVO mainOrdersVO);

    void startService(Long secondOrderId);

    WebMainOrdersInfoVO selectWebMainOrderInfoVO(Long mainOrderId);
}
